2014-04-09 12:44:32 +00:00
|
|
|
From 7995f23a106e28afa0204b5eca68671cb514b1d9 Mon Sep 17 00:00:00 2001
|
2014-02-14 13:13:37 +00:00
|
|
|
From: Hannes Reinecke <hare@suse.de>
|
|
|
|
Date: Tue, 21 Jan 2014 14:32:09 +0100
|
|
|
|
Subject: [PATCH] Add new s390x-specific rule files
|
|
|
|
|
|
|
|
With the new s390x configuration tool the naming of the udev
|
|
|
|
rules files have changed. So add these to the existing ones
|
|
|
|
to be compatible with existing and new installations.
|
|
|
|
|
|
|
|
References: bnc#856585
|
|
|
|
|
|
|
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
2014-04-09 12:44:32 +00:00
|
|
|
---
|
|
|
|
modules.d/95dasd_rules/module-setup.sh | 4 ++--
|
|
|
|
modules.d/95zfcp_rules/module-setup.sh | 1 +
|
|
|
|
2 files changed, 3 insertions(+), 2 deletions(-)
|
2014-02-14 13:13:37 +00:00
|
|
|
|
|
|
|
diff --git a/modules.d/95dasd_rules/module-setup.sh b/modules.d/95dasd_rules/module-setup.sh
|
2014-04-09 12:44:32 +00:00
|
|
|
index 51c315d..451fc25 100755
|
2014-02-14 13:13:37 +00:00
|
|
|
--- a/modules.d/95dasd_rules/module-setup.sh
|
|
|
|
+++ b/modules.d/95dasd_rules/module-setup.sh
|
2014-04-09 12:44:32 +00:00
|
|
|
@@ -6,7 +6,7 @@
|
2014-02-14 13:13:37 +00:00
|
|
|
check() {
|
|
|
|
local _arch=$(uname -m)
|
|
|
|
[ "$_arch" = "s390" -o "$_arch" = "s390x" ] || return 1
|
2014-04-09 12:44:32 +00:00
|
|
|
- require_binaries dasd_configure /usr/lib/udev/collect || return 1
|
|
|
|
+ require_binaries /usr/lib/udev/collect || return 1
|
2014-02-14 13:13:37 +00:00
|
|
|
return 0
|
|
|
|
}
|
2014-04-09 12:44:32 +00:00
|
|
|
|
|
|
|
@@ -18,10 +18,10 @@ depends() {
|
2014-02-14 13:13:37 +00:00
|
|
|
|
|
|
|
# called by dracut
|
|
|
|
install() {
|
|
|
|
- inst_multiple /usr/lib/udev/collect
|
|
|
|
inst_hook cmdline 30 "$moddir/parse-dasd.sh"
|
|
|
|
if [[ $hostonly ]] ; then
|
|
|
|
inst_rules_wildcard 51-dasd-*.rules
|
|
|
|
+ inst_rules_wildcard 41-s390x-dasd-*.rules
|
|
|
|
fi
|
|
|
|
inst_rules 59-dasd.rules
|
|
|
|
}
|
|
|
|
diff --git a/modules.d/95zfcp_rules/module-setup.sh b/modules.d/95zfcp_rules/module-setup.sh
|
2014-04-09 12:44:32 +00:00
|
|
|
index d9879cb..849645c 100755
|
2014-02-14 13:13:37 +00:00
|
|
|
--- a/modules.d/95zfcp_rules/module-setup.sh
|
|
|
|
+++ b/modules.d/95zfcp_rules/module-setup.sh
|
|
|
|
@@ -21,5 +21,6 @@ install() {
|
|
|
|
inst_hook cmdline 30 "$moddir/parse-zfcp.sh"
|
|
|
|
if [[ $hostonly ]] ; then
|
|
|
|
inst_rules_wildcard 51-zfcp-*.rules
|
|
|
|
+ inst_rules_wildcard 41-s390x-zfcp-*.rules
|
|
|
|
fi
|
|
|
|
}
|
2014-04-09 12:44:32 +00:00
|
|
|
--
|
|
|
|
1.8.1.4
|
|
|
|
|